servant-server-0.20.3.0: A family of combinators for defining webservices APIs and serving them

Safe Haskell | None
Language | Haskell2010

Servant.Server.Internal.RoutingApplication

# Documentation

type RoutingApplication Source #

Arguments

= Request | the request, the field `pathInfo` may be modified by url routing
-> (RouteResult Response -> IO ResponseReceived) |
-> IO ResponseReceived |

toApplication :: RoutingApplication -> Application Source #